/* start course container */

.format-focus .activity_nav_list .subTitle {
    line-height: 15px;
}

/* course image */

.format-focus .eticeoCourseImage:has(.courseimage) {
    height: 100px;
    margin: 10px;
}

.format-focus .eticeoCourseImage {
    display: flex;
    justify-content: center;
}

.format-focus .eticeoCourseImage .courseimage {
    height: 100%;
}

.format-focus .eticeoCourseImage img {
    max-width: 100% !important;
}

/* section titre */

.format-focus .activity_nav_list .panel-title {
    padding: 0 !important;
    margin-bottom: 0 !important;
}

.format-focus .activity_nav_list .details .cc_tab h4.panel-title {
    height: auto !important;
}

.format-focus .activity_nav_list h4.panel-title {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

.format-focus .activity_nav_list .sectioname {
    margin-right: auto;
}

.format-focus .activity_nav_list .panel-title a.active-sequence:before {
    color: white !important;
}

.format-focus .activity_nav_list .panel-title a::before {
    float: left !important;
    margin-right: 10px;
}

.format-focus .activity_nav_list .panel-title a,
.format-focus .activity_nav_list .panel-title p {
    padding: 10px 10px;
    font-size: var(--texte_m_size);
    color: var(--font_tertiary);
    line-height: var(--texte_m_lh);
    font-weight: var(--texte_sb);
    font-family: var(--texte_m_ff);
    white-space: inherit;
    width: 100%;
    justify-content: space-between;
    display: flex;
    align-items: center;
}

/* section contenu */

.format-focus .activity_nav_list .panel-body {
    padding: 0 20px;
}

/* activité */

.format-focus.editing .activity_nav_list .activity .activityinstance,
.format-focus.editing .activity_nav_list .activity .mod-indent-outer {
    padding: 0 !important;
}

.format-focus.editing .eticeo-focus-course .section .activity .contentwithoutlink,
.format-focus.editing .eticeo-focus-course .section .activity .activityinstance {
    padding-right: inherit !important;
}

.format-focus .activity_nav_list .activity .activityinstance,
.format-focus .activity_nav_list .activity .mod-indent-outer {
    width: 310px;
}

.format-focus .activity_nav_list .panel li.activity.active {
    background: none !important;
}

.format-focus .activity_nav_list .panel li.activity {
    position: relative;
    margin-top: 10px;
}

.format-focus .activity_nav_list .activityinstance a .instancename {
    display: flex;
    text-align: left;
}

.format-focus .activity_nav_list .activityinstance .instancename {
    text-align: left;
    font-size: 17px !important;
}

.format-focus .activity_nav_list .activityinstance.disabled span.instancename {
    color: var(--act_disabled__fg, gray) !important;
}

.format-focus .activity_nav_list .section .activity .activityinstance .activityname {
    display: flex;
}

.format-focus .activity_nav_list .activityinstance .instancename:hover,
.format-focus .section .activity .activityinstance a:hover span {
    color: var(--linkhovercolor);
}

.format-focus .activity_nav_list .description-inner {
    line-height: 20px;
}

/* Icones */

.format-focus .activity_nav_list .details .accordion-toggle:before {
    font-family: 'Font Awesome 6 Free', 'FontAwesome';
}

.format-focus .activity_nav_list .icon,
.format-focus .activity_nav_list .icon svg {
    width: 22px;
    height: 22px;
}

.format-focus .activity_nav_list .icon.fa-lock {
    color: var(--act_disabled__fg, gray);
}

.format-focus .activity_nav_list .lock-icon {
    width: 20px;
    margin-right: 6px;
}

/* --- */

.format-focus .activity_nav_list li {
    border-top: none !important;
}

.format-focus .section .activity .activityinstance a,
.format-focus .eticeo-focus-course .activity_nav_list .activityinstance .instancename {
    font-weight: var(--texte_reg);
}

.format-focus .eticeo-focus-course .activity_nav_list .activityinstance .inplaceeditable {
    display: flex;
}

.format-focus .eticeo-focus-course .activity_nav_list .activityinstance .activity-badges span {
    margin: 0 40px;
    font-weight: 400;
}

.format-focus .eticeo-focus-course .activity_nav_list .activityinstance .activity-badges span i {
    width: 12px;
    height: 12px;
    font-size: 12px;
}

.format-focus .focus-course-left-panel .activity_nav_list .panel-body .section {
    padding: 0 14px;
}

.format-focus .focus-course-left-panel .activity_nav_list {
    height: auto;
    width: 400px;
    overflow: auto;
    max-width: 400px !important;
    overflow-x: hidden;
}

.format-focus .focus-course-left-panel .activity_nav_list {
    border: 1px solid var(--stroke_secondary) !important;
    box-shadow: none !important;
    border-radius: var(--blocborderradius) !important;
    background-color: var(--blocbgcolor) !important;
}

.format-focus .activity_nav_list .panel-title a {
    font-weight: var(--texte_sb);
}

.format-focus .eticeo-focus-course .activity_nav_list .activityinstance .instancename,
.format-focus .section .activity .activityinstance a {
    font-size: var(--texte_m_size);
    line-height: var(--texte_m_lh) !important;
    font-family: var(--texte_m_ff) !important;
}

.activity-item .activity-name-area,
.format-focus .section .activity .activityinstance a,
.format-focus .eticeo-focus-course .activity_nav_list .activityinstance .instancename {
    word-break: break-word;
}

.activity-item .activity-badges {
    grid-column: 1/3 !important;
}

.format-focus #accordion-0 .panel-title p {
    font-size: var(--texte_l_size) !important;
}

.format-focus.path-mod .focus-course-left-panel {
    z-index: 10;
    width: 100%;
    max-width: 100%;
    overflow: visible !important;
}

.format-focus .eticeo-focus-course .panel-heading>p {
    padding-left: 20px;
}

.format-focus .eticeo-focus-course .panel-heading li {
    list-style-position: inside;
}

.focus-course-left-panel .deploy-menu-button {
    display: none;
    background-color: rgb(225, 230, 239);
    border: none;
    outline: none;
    border-radius: 5px;
    height: 70px;
    margin-bottom: 30px;
    padding: 20px 30px;
    position: relative;
    text-align: left;
    width: 100%;
}

.format-focus .focus-course-left-panel {
    width: min-content;
    position: relative;
    min-width: 350px;
    border-radius: var(--blocborderradius);
    margin: 0 20px;
    height: fit-content;
    grid-row: 2;
    grid-column: 1;
}

.format-focus .focus-course-left-panel strong p {
    color: #b0b0b0 !important;
}

.format-focus .focus-course-left-panel .details {
    padding: 11px;
    border: 1px solid #f0f0f0;
}

.format-focus .focus-course-left-panel .actions {
    width: fit-content;
    z-index: initial;
}

.format-focus .focus-course-left-panel .availabilityinfo {
    background-color: #f7f7f8;
    border-radius: 5px;
    padding: 10px;
    margin: 10px 2px 10px 2px;
    font-size: 14px;
    width: 94%;
}

.path-course-view li.activity form.togglecompletion img {
    margin: 0 !important;
}

body.format-focus .eti_course_content .panel-title .accordion-toggle {
    width: 300px;
    position: absolute;
    left: -35px;
}

[id^="accordion-section-"] .panel {
    border: 0;
    border-radius: 0;
    margin-top: 0;
}

[id^="accordion-section-"] .panel-title a {
    font-size: 16px;
    display: block;
    text-decoration: none;
    max-width: 100% !important;
}

[id^="accordion-section-"] .panel-heading a.collapsed:hover,
[id^="accordion-section-"] .panel-heading a.collapsed:focus {
    color: #0a0a0a;
    -webkit-transition: all 0.2s ease-in;
    -moz-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
}

[id^="accordion-section-"] .panel-heading a.collapsed:hover::before,
[id^="accordion-section-"] .panel-heading a.collapsed:focus::before {
    color: #0a0a0a;
}

[id^="accordion-section-"] .panel-heading {
    padding: 0;
}

[id^="accordion-section-"] .panel-heading a:not(.collapsed) {
    font-size: 16px;
    color: #0a0a0a;
    -webkit-transition: all 0.2s ease-in;
    -moz-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
}

[id^="accordion-section-"] .panel-heading .accordion-toggle::before {
    font-family: 'Font Awesome 6 Free', 'FontAwesome';
    color: #0a0a0a;
    content: "\f107";
    float: right;
    font-weight: lighter;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: all 0.2s ease-in;
    -moz-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
}

[id^="accordion-section-"] .panel-heading .accordion-toggle.collapsed::before {
    color: #444;
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    transform: rotate(-90deg);
    -webkit-transition: all 0.2s ease-in;
    -moz-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
}

.eticeo-focus-course .panel-title a.active-sequence:before {
    color: white !important;
}

.eticeo-focus-course .panel-title a::before {
    float: left !important;
    margin-right: 10px;
}

.eticeo-focus-course .panel-title {
    padding: 0 !important;
    margin-bottom: 0;
    position: relative;
}

.panel-body {
    overflow: inherit !important;
}

.format-focus #accordion-0 .panel-title a,
.format-focus #accordion-0 .panel-title p,
.format-focus footer {
    margin: 0 !important;
}

.format-focus.path-course .focus-course-left-panel {
    margin: 20px !important
}

.format-focus .activityinstance button.completion-toggle {
    padding: 0;
}

.format-focus .activityinstance .custom-mod-icon {
    position: absolute;
    z-index: 900;
}

.format-focus .activityinstance .custom-mod-icon.right {
    left: 300px;
}

.format-focus .activityinstance .custom-mod-icon.left {
    left: -32px;
}

.format-focus .section .activity .activityinstance .availabilityinfocontent a {
    font-size: var(--texte_s_size);
}

.format-focus .section .activity .activityinstance {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 4px;
    margin-bottom: 0 !important;
}

.format-focus .activity.label.modtype_label .activityinstance {
    margin-left: 40px;
    margin-right: 40px;
}

.format-focus .activity.label.modtype_label .activityinstance p {
    margin-bottom: 0;
}

.eticeo-focus-course .section .activity .availabilityinfo.course-description-item.isrestricted {
    color: var(--neutral600)
}

.eticeo-focus-course .section .activity .actions .autocompletion>.icon {
    margin-right: 0 !important;
    border-color: transparent;
    border-style: solid;
    cursor: pointer;
    padding: 0 !important;
    border: none !important;
}

.eticeo-focus-course .section .activity .actions button {
    box-shadow: none !important;
}

.format-focus .eticeo-focus-course .section .activity .actions button.completion-toggle {
    padding-top: 7px;
}

.course-section-header {
    flex-wrap: wrap;
}

.eticeo-focus-course .course-description-item {
    margin-left: 20px;
}

.format-focus .avaibilityinfo {
    margin: 10px 0 0 20px;
    color: var(--font_tertiary);
}

.format-focus .modtype_label .course-description-item {
    display: none !important;
}

.accordion-toggle.link.dropbtn[aria-expanded='true'] i {
    rotate: 90deg;
}

.accordion-toggle.link.dropbtn i {
    margin-right: 10px
}

.eticeo-focus-course .course-description-item.activity-altcontent {
    overflow-wrap: break-word;
}

.format-focus .eticeo-focus-course .activity_nav_list .panel li.activity.active a .instancename {
    font-weight: var(--texte_sb);
}